*{
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}
html{
    font-size: 16px;
}
:root {
    --bgColor:rgb(255, 226, 157);
    --bgColor2:#3d3d3d;
    --bgColor3:#EDEDED;
    --bgColor4:#0b3547;
    --trans:0.5s all ease;
    --gradBg: linear-gradient(to right, orange,rgb(242, 50, 50));
}
.scrollToTop{
    background:var(--gradBg);
    width: 2.5rem;
    border-radius: 0.2rem;
    display: grid;
    place-items: center;
    height: 2.3rem;
    position: fixed;
    bottom: 1rem;
    right: 1rem;
    cursor: pointer;
    z-index: 11;
}
.scrollToTop img{
    width: 60%;
}

/* ------------------(popup)---------------- */

.popup{
  width: 100%;
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  position: fixed;
  top: 4rem;
  transition: var(--trans);
  z-index: 100;
  
}
.popup div{
    height: 17rem;
    background-color: var(--bgColor2);
    color: #fff;
    margin: 1rem;
    padding: 1rem;
    font-size:  1.5rem;
    border-radius: 1rem;
    width: 26rem;
    min-width: 12rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    transition: var(--trans);
}
.overlay{
    display: block;
    position: fixed;
    z-index: 10;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0,0,0,0.6);
    backdrop-filter: blur(8px);
}
.popup div h3{
    margin-top: 2rem;
}
.popup div main{
    height: 10rem;
    display: flex;
    align-items: center;
    margin-top: 2rem;
}
.popup div main button{
    width: 8rem;
    margin: 1rem;
    height: 2.2rem;
    cursor: pointer;
    color: #fff;
    border-radius: 1rem;
    border: none;
    font-size: 1rem;
    background:linear-gradient(to right, orange,rgb(242, 50, 50));

    
}
.popup div main button a{
    text-decoration: none;
    color: #fff;
}
/* -------------(end)---------------- */
.header{
    width: 85%;
    box-sizing: border-box;
    padding:1rem ;
    border-radius: 0.5rem;
    color: #fff;
    background-color: #0b3547;
}
.header h2{
    font-weight: bolder;
}

.navb{
width: 100%;
height: 5rem;
background-color: orange;
display: flex;
justify-content: space-between;
padding: 0 1rem;
box-sizing: border-box;
}
.logo img{
    width: 5rem;
    height: 5rem;
}
.navb div{
    display: flex;
    align-items: center;
    color: #fff;
}
.navb ul{
    display: flex;
    align-items: center;
    transition: all ease 1s;

}
.crossSpan{
    display: none;
    color: #fff;
}
 .hambSpan{
    width: 2rem;
    /* border: 1px solid #fff; */
    position: absolute;
    right: 2rem;
    top: 1.5rem;
    display: none;
}
.navb ul li{
    list-style: none;
    margin: 1rem;
    color: #fff;
}
.navb ul li a{
    color: #fff;
    font-size: 1.1rem;
    font-weight: 600;
    text-decoration: none;
}

/* -------------(slideSection)----------- */

.slideSec{
    width: 100%;
    height: 32rem;
    box-sizing: border-box;
    display: flex;
    justify-content: center;
}
.slideSec div{
    height: 100%;
    margin-top: 1rem;
    /* border: 2px solid; */
    width: 85%;
    display: flex;
}
.slideSec img{
    width: 100%;
    height: 100%;
    object-fit: contain;
    /* object-position: 50% 0%; */
    /* border: 2px solid rgba(0,0,0,0.2); */
    border-radius: 1rem;
}
/* ---------------(AboutSection)------------ */

#aboutSec{
  width: 100%;
  padding:0 1rem;
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;

}
.infoDiv{
    width: 85%;
    padding:3rem 4rem;
    border-radius: 1rem;
    box-sizing: border-box;
    background-color: var(--bgColor3);
}
.infoDiv div{
    margin: 1rem;
    box-sizing: border-box;
    border: 1px solid rgba(0,0,0,0.3);
    border-radius: 1rem;
    padding:2rem 1rem ;
}

/* -------------(JoinSection)------------ */

.joinSec{
    width: 100%;
    height: 20rem;
    box-sizing: border-box;
    padding: 1rem;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;

}
.joinSec div{
    background-color: var(--bgColor3);
    width: 85%;
    height: 12rem;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 1rem;
    box-sizing: border-box;

}
.joinSec div button{
    width: 13rem;
    margin: 1rem;
    height: 3rem;
    border-radius: 3rem;
    border: none;
    cursor: pointer;
    background:linear-gradient(to right, orange,rgb(242, 50, 50));
    transition: 0.4s all ease;
}
.joinSec div button:hover{
    background-color: rgb(255, 189, 67);
    transform: scale(1.1);
}
.joinSec div button a{
    text-decoration: none;
    color: #fff;
    font-size: 1rem;
    font-weight: 600;

}

/* ----------(Basic Guide)-------- */

#guideSec{
    width: 100%;
    box-sizing: border-box;
    /* height: 25rem; */
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 1rem;

}
 .steps_div{
    width: 80%;
    background-color: var(--bgColor3);
    height: 25rem;
    display: flex;
    overflow:hidden;
    padding: 1rem;
    justify-content: center;
    align-items: center;
    border-radius: 1rem;
    position: relative;

}
.innerStepsDiv{
    width: 80%; 
    height: 100%;
    position: relative;
    overflow: hidden;
    padding: 1rem;
}
.slideBtn{
    width: 12rem;
    height: 2.3rem;
    padding: 0.2rem;
    border: none;
    margin: 1rem;
    cursor: pointer;
    border-radius: 2rem;
    background:var(--gradBg) ;
    color: #fff;
    font-size: 1rem;

}

.steps_div button img{
    width:2rem;
    height: 2rem;
}
.steps_div div{
    width: 80%;
    border-radius: 1rem;
    height: 24rem;
    
}
/* .steps_div div img{
    width: 100%;
    height: 100%;
    object-fit: contain;
    border-radius: 1rem;
    border:2px solid;

} */
.slideImg1{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    transition: 1s ease all;
    /* border:2px solid; */
    object-fit: contain;
    /* border: 2px solid; */
}

/* --------------(bonus)------------ */

.bonusSec{
    margin: 2rem 0;
    width: 100%;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
 
}

.bonusSec .bonusDiv{
    width: 80%;
    border-radius: 1rem;
    padding: 1rem;
    box-sizing: border-box;
    background-color: var(--bgColor3);
    /* box-shadow: 1px 1px 5px rgba(0,0,0,0.4); */

 }
 .bonusDiv div{
    width:100%;
    padding: 1rem 0;
    /* border: 2px solid; */
    display: flex;
    flex-wrap: wrap;
    justify-content: center;

 }
 .bonusDiv div img{
    width: 22%;
    margin: 1rem;
 }
/* ------------------(how to play)--------------- */
.htplaySec{
    width: 100%;
    box-sizing: border-box;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.htplaySec div{
    width: 80%;
    height: 25rem;
    background-color: var(--bgColor3);
    border-radius: 1rem;
    padding: 1rem;
    /* box-sizing: border-box; */
    display: flex;
    justify-content: center;


}

.slideImg2{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    transition: 1s ease all;
    object-fit: contain;

}

/* ---------------------(did_u_know)------------- */

.didKnowSec{
    margin: 1rem 0;
    width: 100%;
    display: flex;
    justify-content: center;
    box-sizing: border-box;
    padding: 1rem;
    flex-direction: column;
    align-items: center;
}
.didykheader{
    display: flex;
    justify-content: space-between;
}
.didykheader p i{
    cursor: pointer;
}
.didKnowSec div{
    box-sizing: border-box;
    background-color:var(--bgColor3);
    height: 0;
    overflow: hidden;
    width: 85%;
    margin-top: 1rem;
    /* padding: 1rem; */
    transition: all 0.5s ease;
    display: flex;
    justify-content: space-between;
}

.didKnowSec div main{
    width: 100%;
    height: 100%;
    margin-top: 2rem;
}
 .main2{
    height: 20%;
}
.main img{
    width: 100%;
    height: 100%;
    object-fit: contain;
}
/* ------------(forecast)--------------- */
.forecastSec{
    margin: 1rem 0;
    width: 100%;
    display: flex;
    justify-content: center;
    box-sizing: border-box;
    padding: 1rem;
    flex-direction: column;
    align-items: center;
}
.forecastDiv{
    box-sizing: border-box;
    background-color:var(--bgColor3);
    overflow: hidden;
    width: 85%;
    height: 0;
    margin-top: 1rem;
    /* padding: 1rem; */
    transition: all 0.5s ease;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.forecastDiv main{
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    height: 20rem;
    padding: 1rem;
    box-sizing: border-box;
    justify-content: space-between;
}
.forecastDiv main img{
    width: 100%;
    height: 100%;
    object-fit:contain;
}


/* --------------(records section)-------------- */
.recordsSec{
    margin: 1rem 0;
    width: 100%;
    display: flex;
    justify-content: center;
    box-sizing: border-box;
    padding: 1rem;
    flex-direction: column;
    align-items: center;
}
.recordsDiv{
    box-sizing: border-box;
    background-color:var(--bgColor3);
    overflow: hidden;
    width: 85%;
    height: 0;
    margin-top: 1rem;
    /* padding: 1rem; */
    transition: all 0.5s ease;
   display: flex;
   flex-direction: column;
   align-items: center;
}
.recordsDiv main{
    display: flex;
    flex-direction: row;
    /* flex-wrap: wrap; */
    width: 100%;
    height: 20rem;
    padding: 1rem;
    box-sizing: border-box;
    justify-content: space-between;
}
.recordsDiv main img{
    width:50%;
    height: 100%;
    object-fit:contain;
}

/* ------------------(recharge Bonus)------------ */
.rechargeBonusSec{
    margin: 1rem 0;
    width: 100%;
    display: flex;
    justify-content: center;
    box-sizing: border-box;
    padding: 1rem;
    flex-direction: column;
    align-items: center;
}

.rechargeBonusDiv{
    box-sizing: border-box;
    background-color:var(--bgColor3);
    overflow: hidden;
    width: 85%;
    height: 0;
    margin-top: 1rem;
    /* padding: 1rem; */
    transition: all 0.5s ease;
   display: flex;
   flex-direction: column;
   align-items: center;
}
.rechargeBonusDiv main{
    display: flex;
    width: 100%;
    height: 20rem;
    padding: 1rem;
    box-sizing: border-box;
    justify-content: space-between;
}

.rechargeBonusDiv main img{
    width:49%;
    height: 100%;
    /* margin: 0.2rem; */
    object-fit:contain;
}
/* ---------------(refer&Earn)----------------------- */
.referEarnSec{
    margin: 1rem 0;
    width: 100%;
    display: flex;
    justify-content: center;
    box-sizing: border-box;
    padding: 1rem;
    flex-direction: column;
    align-items: center;
}
.referEarnDiv{
    box-sizing: border-box;
    background-color:var(--bgColor3);
    overflow: hidden;
    width: 85%;
    border-radius: 1rem;
    margin-top: 1rem;
    padding: 1rem;
    transition: all 0.5s ease;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.referEarnDiv main img{
    width:100%;
    height: 100%;
    /* margin: 0.2rem; */
    object-fit:contain;
}
/* ---------------------(end)---------------------- */

/* --------------------(features)----------------- */
.featureSec{
    width: 100%;
    box-sizing: border-box;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.featureDiv{
    width: 80%;
    background-color: var(--bgColor3);
    height: 25rem;
    display: flex;
    overflow:hidden;
    padding: 1rem;
    justify-content: center;
    align-items: center;
    border-radius: 1rem;
}
.featureDiv button{
    width: 10%;
    height: 2.3rem;
    background-color: var(--bgColor3);
    border: none;
    margin: 1rem;
    cursor: pointer;

}
.featureDiv button img{
    width:2rem;
    height: 2rem;
}
.innerFeatureDiv{
    width: 80%; 
    height: 100%;
    position: relative;
    overflow: hidden;

    
}


/* ----------------(contact_div)--------------- */

#contactSec{
    width: 100%;
    box-sizing: border-box;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
   
}
.contactDiv{
    width: 85%;
    display: flex;
    padding: 1rem;
    align-items: center;
    border-radius: 1rem;
    /* flex-wrap: wrap; */
    justify-content: center;
    box-sizing: border-box;
    overflow: hidden;
    background-color: var(--bgColor3);
}
.contactDiv div{
  
    /* background-color: red; */
}
.contInnerDiv1 {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    width: 30rem;
}
.contInnerDiv1  img{
    width: 80%;
    /* min-width:7rem; */

    border-radius: 1rem;

}
.contInnerDiv2 {
    width: 30rem;
 box-sizing: border-box;
 padding: 1rem;
 /* background-color: red; */
 display: flex;
 justify-content: center;
 align-items: center;
 flex-wrap: wrap;
 
}
.contInnerDiv2 button,.contInnerDiv1 button{
    width: 12rem;
    padding: 0.3rem;
    border-radius: 2rem;
    margin: 1rem;
    font-weight: 600;
    border: none;
    background:linear-gradient(to right, orange,rgb(242, 50, 50));
    transition: 0.5s all ease;
    cursor: pointer;
}
.contInnerDiv2 button:hover{
    transform: scale(1.1);
}
.contInnerDiv2 button a,.contInnerDiv1 button a{
    color: #fff;
    font-size: 1.5rem;
    text-decoration: none;
}
.contInnerDiv2 img{
    width: 10rem;
     display: flex;
     flex-direction: column;
     margin: 1rem;
}

 /* --------------(footer)--------------- */

 .footer{
    width: 100%;
    box-sizing: border-box;
    background-color: #272727;
    color: #fff;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 4rem;
    height: 10rem;

 }
 .footer ul li{
    list-style-type: none;
    margin: 0.2rem;
 }
 .footer ul li a{
    color: #fff;
    text-decoration: none;
 }


 /* ------------------------------------------------ */

 /* -----------------(media queries)----------------- */

 @media (max-width:800px) {
    html{
        font-size: 13px;
    }
    .bonusDiv div img{
        width: 35%;
        margin: 1rem;
     }
 }


 @media (max-width:600px) {
    html{
        font-size: 9px;
    }
    .navb ul{
        display:none;
        background-color:var(--bgColor4);
        position: fixed;
        right: 0;
        height: 100vh;
        width: 40vw;
        min-width: 8rem;
        z-index: 100;
        transition: all 1s ease;

    }
    .hambSpan{
        display: flex;
        justify-content: center;
        z-index: 0;
    }
    .hambSpan svg{
        color: #fff
    }
    .crossSpannew{
        display: block;
        color: #fff;
        position: absolute;
        top: 1rem;
        left: 1rem;
    }
    .navb ul li{
        margin-top: 6.2rem;

    }
    .navb ul li a{
        font-size: 2rem;
    }
    .navb span{
        display: block;
    }
    .contactDiv{
        flex-direction: column;
    }
    .contInnerDiv2 {
        flex-direction: column;
    }
    .contInnerDiv1  img{
        width: 60%;
    }
    .popup{
        top: 10rem;
    }
   
    .popup div{
        height: 25rem;
        margin: 1rem;
        padding: 1rem;
        border-radius: 1rem;
        width: 85%;
        font-size: 2rem;
        min-width: 12rem;
        
    }
    .popup div main{
        margin-top: 4rem
    }
    .popup div main button{
        width: 35vw;
        border-radius: 2rem;
        height: 4rem;
        font-size: 2rem;
    }
    .popup div h3{
        margin-top: 2.5rem;
        text-align: center;
    }
    .infoDiv {
        width: 100%;
    }
    .recordsDiv main{
        flex-direction: column;
        height: 80rem;
        align-items: center;
    }

    .bonusDiv div img{
        width: 34%;
        margin: 1rem;
     }
 }
 @media (max-width:400px) {
    html{
        font-size:8px;
    }
    .navb{
     
        height: 7rem;
    }
    .hambSpan{
        right: 2rem;
        top: 2rem;
    }
    .logo img{
        width: 6rem ;
        height: 6rem;
    }
    .slideBtn{
        width: 16rem;
    }
    .slideSec div {
        border-radius: 1rem;
        padding: 0;
        background-color: var(--bgColor3);
    }
    .slideSec img{
        width: 100%;
        height: 100;
        /* object-position: 50% 0%; */
        /* border: 2px solid rgba(0,0,0,0.2); */
        border-radius: 1rem;
    }
    
    .joinSec div{
        width: 95%;
    }
    .header{
        width: 95%;
    }
    .bonusSec .bonusDiv{
        width: 90%;
        box-sizing: border-box;
    }
    .htplaySec div{
        width: 90%;
        height: 40rem;
       
       }
    .referEarnDiv{
        width: 95%;
    }
    .contactDiv{
        width: 95%;
    }
    .recordsDiv main img{
        width:60%;
        height: 100%;
        object-fit:contain;
    }
    .rechargeBonusDiv main{
        flex-direction: column;
        align-items: center;
        height: 47rem;
    }
    .rechargeBonusDiv main img{
        width:75%;
    }
    .slideSec div{
        width: 90%;
    }
    
    
/* --------------------(bonuses)--------------- */

    .steps_div{
        width: 90%;
        background-color: var(--bgColor3);
        height: 40rem;
    
    
    }
    .slideBtn{
        width: 6rem;
        font-size: 0.8rem;
         /* position: absolute;  */
       
    }
    #slidePrev{
        left: 1rem;  
    }
    #slideNext{
        right: 1rem;
    }
    .slideBtn span{
        font-size: 0;
    }
    .steps_div button img{
        width:2rem;
        height: 2rem;
    }
    .steps_div div{
        width: 40rem;
        border-radius: 1rem;
        height: 40rem;
        
    }
    .slideImg1{
        width: 100%;
        height: 100%;
        
    }
    .contInnerDiv1  img{
        width: 70%;
    }
    
    .bonusDiv div img{
        width: 40%;
        margin: 1rem;
     }
 }